Please merge network-manager-openvpn 1.2.6-2 from Debian (unstable) to Ubuntu (yakkety)

Bug #1629132 reported by Aron Xu on 2016-09-29
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
network-manager-openvpn (Ubuntu)
Wishlist
Unassigned

Bug Description

Please merge network-manager-openvpn 1.2.4-1 from Debian (unstable) to Ubuntu (yakkety), to match with the version of main network-manager package (1.2.4).

Aron Xu (happyaron) wrote :

Attached is the debdiff, from Debian's network-manager-openvpn_1.2.4-1. It's no different than comparing with the 1.1.93-1ubuntu1 except refreshed the patch, but avoids the diffs from upstream source.

Debian's 1.2.4-1 version: http://snapshot.debian.org/archive/debian/20160707T173116Z/pool/main/n/network-manager-openvpn/network-manager-openvpn_1.2.4-1.dsc

Changed in network-manager-openvpn (Ubuntu):
importance: Undecided → Wishlist
Jeremy Bicha (jbicha) wrote :

Aron, do you want to go with 1.2.6 instead for the updated translations (this package is in universe and does not have Launchpad translations enabled) and this fix:

https://git.gnome.org/browse/network-manager-openvpn/commit/?id=62bdd27

https://git.gnome.org/browse/network-manager-openvpn/tree/NEWS

I don't have a VPN to test with. Have you tested that the package works?

Jeremy Bicha (jbicha) on 2016-10-03
Changed in network-manager-openvpn (Ubuntu):
status: New → Incomplete
Aron Xu (happyaron) wrote :

I don't want to go with 1.2.6 at the moment because the build system is messed up with clang compatibility (thus failing with yakkety gcc for me). Would be nice to SRU later.

Jeremy Bicha (jbicha) wrote :
Download full text (4.6 KiB)

It's funny you say that, because the build fails here with my yakkety schroot with 1.2.4-1ubuntu1:

make[5]: Entering directory '/<<PKGBUILDDIR>>/properties/tests'
gcc -DHAVE_CONFIG_H -I. -I../.. -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_32 -pthread -I/usr/include/gtk-3.0 -I/usr/include/at-spi2-atk/2.0 -I/usr/include/at-spi-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/x86_64-linux-gnu/dbus-1.0/include -I/usr/include/gtk-3.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/mirclient -I/usr/include/mircommon -I/usr/include/mircookie -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/harfbuzz -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng16 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -DGDK_VERSION_MIN_REQUIRED=GDK_VERSION_3_4 -pthread -I/usr/include/libnm -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -DNM_VERSION_MIN_REQUIRED=NM_VERSION_1_2 -DNM_VERSION_MAX_ALLOWED=NM_VERSION_1_2 -pthread -I/usr/include/libnma -I/usr/include/libnm -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -Wdate-time -D_FORTIFY_SOURCE=2 -I../../shared -I../../properties -DTEST_SRCDIR="\"/<<PKGBUILDDIR>>/properties/tests\"" -DTEST_BUILDDIR="\"/<<PKGBUILDDIR>>/properties/tests\"" -Wall -std=gnu89 -Wshadow -Wmissing-declarations -Wmissing-prototypes -Wdeclaration-after-statement -Wformat-security -Wfloat-equal -Wno-unused-parameter -Wno-sign-compare -fno-strict-aliasing -Wno-unused-but-set-variable -Wundef -Wimplicit-function-declaration -Wpointer-arith -Winit-self -Wmissing-include-dirs -Wno-pragmas -g -O2 -fdebug-prefix-map=/<<PKGBUILDDIR>>=. -fstack-protector-strong -Wformat -Werror=format-security -Warray-bounds -Wunused-value -c -o test_import_export-test-import-export.o `test -f 'test-import-export.c' || echo './'`test-import-export.c
/bin/bash ../../libtool --tag=CC --mode=link gcc -I../../shared -I../../properties -DTEST_SRCDIR="\"/<<PKGBUILDDIR>>/properties/tests\"" -DTEST_BUILDDIR="\"/<<PKGBUILDDIR>>/properties/tests\"" -Wall -std=gnu89 -Wshadow -Wmissing-declarations -Wmissing-prototypes -Wdeclaration-after-statement -Wformat-security -Wfloat-equal -Wno-unused-parameter -Wno-sign-compare -fno-strict-aliasing -Wno-unused-but-set-variable -Wundef -Wimplicit-function-declaration -Wpointer-arith -Winit-self -Wmissing-include-dirs -Wno-pragmas -g -O2 -fdebug-prefix-map=/<<PKGBUILDDIR>>=. -fstack-protector-strong -Wformat -Werror=format-security -Warray-bounds -Wunused-value -Wl,-Bsymbolic-functions -Wl,-z,relro -o test-import-export test_import_export-test-import-export.o -lgtk-3 -lgdk-3 -lpangocairo-1.0 -lpango-1.0 -latk-1.0 -lcairo-gobject -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lgobject-2.0 -lglib-2.0 -lnm -lgio-2.0 -lgobject-2.0 -lglib-2.0 -lnma -lnm -lgio-2.0 -lgobject-2.0 -lglib-2.0 -ldl ../../properties/libnm-vpn-plugin-openvpn-test.la
libtool: link: gcc -I../../shared -I../../properties -DTEST_SRCDIR=\"/<<PKGBUILDDIR>>/properties/tests\" -DTEST_BUILDDIR=\"/<<PKGBUILDDIR>>/propert...

Read more...

Jeremy Bicha (jbicha) wrote :

Actually 1.2.6 builds here.

Jeremy Bicha (jbicha) wrote :

Aron, could you test the 1.6 packages from

https://launchpad.net/~jbicha/+archive/ubuntu/arch/+packages

Please don't permanently add that PPA to your sources since I push all sorts of things to my development PPAs.

As you can see it builds on all regular PPA architectures on yakkety.

Jeremy Bicha (jbicha) on 2016-10-05
Changed in network-manager-openvpn (Ubuntu):
status: Incomplete → In Progress
assignee: nobody → Jeremy Bicha (jbicha)
Jeremy Bicha (jbicha) wrote :

Oh, I don't have upload rights for this package. :(

Here's an updated .debdiff to apply against Debian's 1.26-2.

https://incoming.debian.org/debian-buildd/pool/main/n/network-manager-openvpn/network-manager-openvpn_1.2.6-2.dsc

Changed in network-manager-openvpn (Ubuntu):
status: In Progress → Confirmed
assignee: Jeremy Bicha (jbicha) → nobody
tags: added: upgrade-software-version yakkety
summary: - Please merge network-manager-openvpn 1.2.4-1 from Debian (unstable) to
+ Please merge network-manager-openvpn 1.2.6-2 from Debian (unstable) to
Ubuntu (yakkety)
Iain Lane (laney) wrote :

I uploaded this to the queue now, thanks.

I think it would be reasonable to have this be an SRU instead, depending on what the reviewer thinks. The changes aren't super small and while as far as I can tell they are all fine, there's a chance there is a problem. Either would be okay with me.

Steve Langasek (vorlon) wrote :

We are in final freeze, so unless this fixes a specific critical bug in yakkety we should punt this to SRU.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package network-manager-openvpn - 1.2.6-2ubuntu1

---------------
network-manager-openvpn (1.2.6-2ubuntu1) yakkety; urgency=medium

  * Merge with Debian (LP: #1629132) Remaining changes:
    - Allow the "udp6" and "tcp6" protocols to be passed through to OpenVPN.

network-manager-openvpn (1.2.6-2) unstable; urgency=medium

  * Don't run the tests in parallel for now until bgo#772464 is fixed.
    (Closes: #839848)

network-manager-openvpn (1.2.6-1) unstable; urgency=medium

  * New upstream release.
    - Fix recent change in behavior for "comp-lzo=no" setting.
      (Closes: #833166)
  * Bump debhelper compat level to 10.
  * Drop Use-user-nobody-group-nogroup-when-exporting-an-OpenVPN-c.patch. This
    patch is no longer necessary as we now create a nm-openvpn system user in
    postinst. So we use that instead of nobody / nogroup when exporting an
    OpenVPN connection.

network-manager-openvpn (1.2.4-1) unstable; urgency=medium

  * Imported Upstream version 1.2.4
  * Bump Build-Depends on libsecret-dev to (>= 0.18) as per configure.ac
  * Refresh patches

network-manager-openvpn (1.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump network-manager related build dependencies to >= 1.2.0.
  * Add Depends on network-manager (>= 1.2.0) to network-manager-vpnc. This
    ensures we have a version that can handle plugin paths which are not
    absolute. (Closes: #823062)
  * Bump Standards-Version to 3.9.8.

network-manager-openvpn (1.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Aron Xu <email address hidden> Thu, 06 Oct 2016 04:12:06 +0800

Changed in network-manager-openvpn (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers